%if 0%{?fedora} > 12
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           awscli
Version:        1.3.24
Release:        2%{?dist}.1
Summary:        AWS Command Line Interface
Group:          System Environment/Libraries

License:        ASL 2.0
URL:            http://aws.amazon.com/cli/
Source0:        https://pypi.python.org/packages/source/a/%{name}/%{name}-%{version}.tar.gz
Patch0:         0001-Adjust-some-version-requirements.patch
Patch1:         0001-Avoid-using-botocore-bundled-requests.patch

BuildArch:      noarch
BuildRequires:  python-devel

BuildRequires:  python-six >= 1.1.0
BuildRequires:  python-tox >= 1.4
BuildRequires:  python-docutils >= 0.10
BuildRequires:  python-sphinx >= 1.1.3
BuildRequires:  python-botocore >= 0.58.0
BuildRequires:  python-botocore < 0.59.0
BuildRequires:  python-bcdoc >= 0.12.0
BuildRequires:  python-bcdoc < 0.13.0
BuildRequires:  python-jmespath >= 0.4.1
BuildRequires:  python-nose >= 1.3.0
BuildRequires:  python-colorama >= 0.2.5
BuildRequires:  python-mock >= 0.8.0
BuildRequires:  python-rsa >= 3.1.1
BuildRequires:  python-dateutil >= 1.5
BuildRequires:  python-pyasn1
%if %with python3
BuildRequires:  python3-six >= 1.1.0
BuildRequires:  python3-docutils >= 0.10
BuildRequires:  python3-sphinx >= 1.1.3
BuildRequires:  python3-botocore >= 0.58.0
BuildRequires:  python3-botocore < 0.59.0
BuildRequires:  python3-bcdoc >= 0.12.0
BuildRequires:  python3-bcdoc < 0.13.0
BuildRequires:  python3-jmespath >= 0.4.1
BuildRequires:  python3-nose >= 1.3.0
BuildRequires:  python3-colorama >= 0.2.5
BuildRequires:  python3-mock >= 0.8.0
BuildRequires:  python3-rsa >= 3.1.1
BuildRequires:  python3-dateutil >= 1.5
BuildRequires:  python3-pyasn1
%endif

Requires:       python-six >= 1.1.0
Requires:       python-docutils >= 0.10
Requires:       python-sphinx >= 1.1.3
Requires:       python-botocore >= 0.58.0
Requires:       python-botocore < 0.59.0
Requires:       python-bcdoc >= 0.12.0
Requires:       python-bcdoc < 0.13.0
Requires:       python-jmespath >= 0.4.1
Requires:       python-colorama >= 0.2.5
Requires:       python-rsa >= 3.1.1
Requires:       python-dateutil >= 1.5

Provides:       python-awscli = %{version}-%{release}


%description
The AWS Command Line Interface (CLI) is a unified tool to manage your AWS
services. With just one tool to download and configure, you can control
multiple AWS services from the command line and automate them through
scripts. 

This package contains the library for Python 2.


%package -n python3-awscli
Summary:        AWS Command Line Interface
Group:          System Environment/Libraries

Requires:       python3-six >= 1.1.0
Requires:       python3-docutils >= 0.10
Requires:       python3-sphinx >= 1.1.3
Requires:       python3-botocore >= 0.58.0
Requires:       python3-botocore < 0.59.0
Requires:       python3-bcdoc >= 0.12.0
Requires:       python3-bcdoc < 0.13.0
Requires:       python3-jmespath >= 0.4.1
Requires:       python3-colorama >= 0.2.5
Requires:       python3-rsa >= 3.1.1
Requires:       python3-dateutil >= 1.5


%description -n python3-awscli
The AWS Command Line Interface (CLI) is a unified tool to manage your AWS
services. With just one tool to download and configure, you can control
multiple AWS services from the command line and automate them through
scripts. 

This package contains the library for Python 3.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%if %with python3
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' |xargs sed -i 's|^#!.*python|#!%{__python3}|'
%endif

find -name '*.py' |xargs sed -i 's|^#!.*python|#!%{__python2}|'


%build
%if %with python3
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%{__python2} setup.py build


%install
%if %with python3
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/{,python3-}aws
popd
%endif

%{__python2} setup.py install -O1 --skip-build --root %{buildroot}



%check 
%if %with python3
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%{__python2} setup.py test


%files
%{python2_sitelib}/*
%{_bindir}/aws
# Windows NT batch file
%exclude %{_bindir}/aws.cmd
# Tab-completion helpers. Configuration is not hooked at all, so these are useless.
%exclude %{_bindir}/aws*completer*
%doc README.rst
%doc LICENSE.txt


%if %with python3
%files -n python3-awscli
%{python3_sitelib}/*
%{_bindir}/python3-aws
%doc README.rst
%doc LICENSE.txt
%endif


%changelog
* Fri Jul 25 2014 Lubomir Rintel <lkundrak@v3.sk> - 1.3.24-2
- Add Python 3 support

* Fri Jul 25 2014 Lubomir Rintel <lkundrak@v3.sk> - 1.3.24-1
- Initial packaging
